import request from '@/utils/request'

// 查询任务列表
export function listTask(query) {
  return request({
    url: '/mk/bo/task/list',
    method: 'get',
    params: query
  })
}

// 查询任务详细
export function getTask(taskId) {
  return request({
    url: '/mk/bo/task/' + taskId,
    method: 'get'
  })
}

// 新增任务
export function addTask(data) {
  return request({
    url: '/mk/bo/task',
    method: 'post',
    data: data
  })
}

// 修改任务
export function updateTask(data) {
  return request({
    url: '/mk/bo/task',
    method: 'put',
    data: data
  })
}

// 删除岗位
export function delTask(taskId) {
  return request({
    url: '/mk/bo/task/' + taskId,
    method: 'delete'
  })
}
